classification
Title: make install fails
Type: behavior Stage: resolved
Components: Build, macOS Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: erlendaasland, ned.deily, ronaldoussoren, vstinner
Priority: normal Keywords: patch

Created on 2019-07-22 15:33 by erlendaasland, last changed 2019-07-29 18:26 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
fix.patch erlendaasland, 2019-07-22 15:33 Proposed patch
Pull Requests
URL Status Linked Edit
PR 14911 merged erlendaasland, 2019-07-22 22:24
Messages (5)
msg348300 - (view) Author: Erlend Egeberg Aasland (erlendaasland) * Date: 2019-07-22 15:33
Make install is broken in subtarget libinstall. This was introduced with commit e8692818afd731c1b7e925c626ac8200b1f1c31e.

Fix in attached patch.
msg348338 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-07-23 16:12
New changeset 387c3c5a04bc62cfa7c9dabe206ba2c582a71c05 by Ned Deily (Erlend Egeberg Aasland) in branch 'master':
bpo-37653: Fix libinstall target in Makefile (GH-14911)
https://github.com/python/cpython/commit/387c3c5a04bc62cfa7c9dabe206ba2c582a71c05
msg348339 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-07-23 16:15
Thanks for the PR!
msg348673 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-29 15:56
Crap. That's why I didn't want to put the comment "inside" the code, but as separated commands. Well, I learnt something today: bash is the standard :-)
msg348676 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2019-07-29 18:26
A trick w.r.t. comments in command-lines is to use the ":" command, that's a no-op shell command that ignores its arguments (although you do need to take care with shell special characters as it is just a command like any other).
History
Date User Action Args
2019-07-29 18:26:00ronaldoussorensetmessages: + msg348676
2019-07-29 15:56:02vstinnersetmessages: + msg348673
2019-07-23 16:15:24ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg348339

stage: patch review -> resolved
2019-07-23 16:12:14ned.deilysetmessages: + msg348338
2019-07-23 16:01:04erlendaaslandsetnosy: + ronaldoussoren, ned.deily
components: + macOS
2019-07-22 22:24:32erlendaaslandsetpull_requests: + pull_request14686
2019-07-22 15:59:51SilentGhostsetkeywords: - 3.8regression
versions: - Python 3.8
2019-07-22 15:56:41SilentGhostsetkeywords: + 3.8regression
nosy: + vstinner
stage: patch review

versions: + Python 3.8
2019-07-22 15:33:56erlendaaslandcreate